import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D
# create x,y
xx, yy = np.meshgrid(range(10), range(10))
# define the plane for a vector subspace 
z = 2 * xx - 3 * yy
# plot the surface
plt3d = plt.figure().gca(projection='3d')
plt3d.plot_surface(xx, yy, z, alpha=0.2)
# Ensure that the next plot doesn't overwrite the first plot
ax = plt.gca()
ax.scatter(0, 0, 0, color='green')
# Show the plot
plt.show()

